Difference between revisions of "Draft WireToBSpline/fr"

From FreeCAD Documentation
Jump to: navigation, search
Line 28: Line 28:
 
</syntaxhighlight>
 
</syntaxhighlight>
  
* if the active object is a bspline
+
* Si l'objet actif est une {{KEY|[[Image:Draft_BSpline.png|16px|text-top=Courbe B-Spline (Bézier)|link=Draft_BSpline/fr]] [[ Draft_BSpline/fr|B-Spline]]}}
  
 
<syntaxhighlight>
 
<syntaxhighlight>

Revision as of 16:55, 14 February 2014

Draft WireToBSpline.svg Draft_WireToBSpline

Emplacement du menu
Drafting → Wire to BSpline
Ateliers
Draft, Arch
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Aucun


Description

L'outil text-top=Wire en Bspline Wire en Bspline, converti un text-top=Ligne à points multiples Wire en text-top=Courbe B-Spline (Bézier) B-Spline, et vice-versa.

Draft Wire2BSpline example.jpg

Utilisation

  1. Sélectonnez un objet text-top=Ligne à points multiples Wire ou un ojbet text-top=Courbe B-Spline (Bézier) B-Spline.
  2. Pressez le bouton text-top=Wire en Bspline Wire en Bspline.

Options

  • L'objet original n'est pas effacé après l'opération, si vous voulez l'effacer, vous devez le faire manuellement.

Script

Non disponible, le but ici, est de créer un nouvel objet, avec les points d'un autre objet facilement, par exemple :

  1. Si l'objet actif est un text-top=Ligne à points multiples Wire
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeBSpline(points)
 import FreeCAD,Draft
 points = FreeCAD.ActiveDocument.ActiveObject.Points
 Draft.makeWire(points)
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe